function MaskJND_Model = MaskModel(ImOr,Sb);

IMAGE_PATH=[pwd, '/Images/'];

if nargin == 0
	filename='lena'
	inputimagename=sprintf('%s.pgm',filename);
	ImOr=imread([IMAGE_PATH, inputimagename]);
endif

%Delta_C = [0.5; 0.0034; 0.004; 0.0034; 0.004; 0.0066; 0.010; 0.010; 0.0066; 0.010; 0.10; 0.026; 0.04; 0.04; 0.026; 0.04; 0.04]

Delta_C = [0.5
 0.0034
 0.004
 0.0034
 0.004
 0.0066
 0.010
 0.010
 0.0066
 0.010
 0.10
 0.026
 0.04
 0.04
 0.026
 0.04
 0.04];

mean(mean(ImOr));


Imfilt = LumMoyLocCour6(ImOr,Sb);

Imfilt_lum =  70.*(Imfilt/255).^(1.8);

%ImOr_lum= 70.*(ImOr/255).^(1.8);

Mask_lum = Delta_C(Sb) * Imfilt_lum;

MaskJND_Model = 255 .* (Mask_lum ./ 70).^(1/1.8);
%CeilMask = ceil(MaskJND_Model);

%plot(Mask_ng(:),ImOr(:),'.');

%%-------------------------------------
%Noise = rand(16);
%Noise = 2 .* Noise - 1;
%max(max(Noise));
%min(min(Noise));

%%a=ones(512);
%b=zeros(512);
%b(246:261,345:360) = Noise;
%imagesc(b);
%%c=a+b;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%					plots					%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%subplot(2,2,1);
%plot(MaskFlat1D,ImFlat1D,'.');


%subplot(2,2,2);
%plot(MaskEdges1D,ImEdges1D,'.');

%subplot(2,2,3);
%plot(MaskTextures1D,ImTextures1D,'.');


%endfunction
