function [baseband,dom2,dom3,dom4]=dom_plc(l,h,fc,lt)
% par Patrick LE CALLET 
% renvoie les filtres dom en appelant les filtres mesa
% l, h : largeur et hauteur de l'image
% fc : tableau des frquences de coupure des mesa
% lt : tableau des coefficients dfinissant la largeur de transition
% pour composante A :
% fc = [1.5 5.7 14.4 28.8]/60
% lt = [2.6 4 8 15]/60
% pour composante Cr1 :
% fc= [1.5 5.7]/60
% lt = [2.8 4.8]/60
% pour composante Cr2 :
% fc = [1.5 5.7]/60
% lt = [2.95 5.8]/60

[base, mesa2, mesa3, mesa4]=mesa_plc(l,h,fc,lt);
%construction des dom
dom4 = mesa4-mesa3;
dom3 = mesa3-mesa2;
dom2 = mesa2-base;
baseband = base;

