function [fan45_1,fan45_2,fan45_3,fan45_4]=fan45_plc(l,h,tetaw)
% par Patrick LE CALLET 
% l, h : largeur et hauteur de l'image
% tetaw : largeur de la bande de transition (en radian)


%dcalage +1 li au recentrage de la composante continu du spectre
offset0l=l/2+1;
offset0h=h/2+1;
%coefficient de normalisation de la frquence/spectre
delta0l=1/l;
delta0h=1/h;

% dfinition d'une grille en frquence normalise
i=1:1:l;
j=1:1:h;
fl=(i-offset0l)*delta0l;
fc=(j-offset0h)*delta0h;
[Fc,Fl]=meshgrid(fc,fl);
teta = -atan2(Fl,Fc);
%teta(1:offset0-1,1:offset0-1) = teta(1:offset0-1,1:offset0-1,:)+pi;
%teta(offset0:taille,1:offset0-1) = teta(offset0:taille,1:offset0-1,:)-pi;
tetac = pi/4;

%--------------------------------
% construction des fans 30 degr
%--------------------------------
fan45_1 = fan_generique(teta,tetac,tetaw,0);
fan45_2 = fan_generique(teta,tetac,tetaw,pi/4);
fan45_3 = fan_generique(abs(teta),tetac,tetaw,-pi/2);
fan45_4 = fan_generique(teta,tetac,tetaw,-pi/4);

